/*******************************************************************************
 * $Id: config.h 206 2008-08-01 21:44:50Z msiegen $
 *
 * Thermostat Interface Configuration
 *
 * by Michael Siegenthaler
 * http://www.msigi.net/
 *
 * THIS SOFTWARE IS PUBLIC DOMAIN AND IS PROVIDED WITHOUT ANY WARRANTY. THE
 * END-USER BEARS THE FULL RISK AND RESPONSIBILITY FOR ANY PROBLEMS CAUSED
 * BY THIS SOFTWARE.
 *
 ******************************************************************************/

// Enable ONLY ONE of the following
// Most people will be using the serial option.
#define USE_SERIAL
//#define USE_NETWORK


////////////////////////////////////////////////////////////////////////////////
// Serial configuration - must define USE_SERIAL above

// Serial port
#ifndef SERIALDEVICE
  #define SERIALDEVICE "/dev/ttyS0"
#endif

// Baud rate (do not change)
#ifndef BAUDRATE
  #define BAUDRATE B300
#endif


////////////////////////////////////////////////////////////////////////////////
// Network configuration - must define USE_NETWORK above

// Device server IP address
#define DEVSERVER_IP "192.168.1.250"

// Device server port
#define DEVSERVER_PORT 4001


////////////////////////////////////////////////////////////////////////////////
// Miscellaneous configuration

// Lockfile to prevent two instances from accessing the device at the same time
#define LOCKFILE "/tmp/osc.lock"

// Thermostat address
#define TSTAT_ADDR 1

// Maximum number of times to retry a command
#define MAX_RETRIES 4


// End of use-configurable section
////////////////////////////////////////////////////////////////////////////////

#ifdef USE_SERIAL
  #define initialize_port initialize_port_ser
  #define send_command send_command_ser
  #define receive_reply receive_reply_ser
#elif defined(USE_NETWORK)
  #define initialize_port initialize_port_net
  #define send_command send_command_net
  #define receive_reply receive_reply_net
#else
  #error "Must define USE_SERIAL or USE_NETWORK"
#endif
